Dell Studio 1536 Unable to detect USB ports (Maverick)

Bug #647043 reported by Lisa Salimbas on 2010-09-24
106
This bug affects 27 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
High
linux (Ubuntu)
Medium
Leann Ogasawara
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Medium
Leann Ogasawara

Bug Description

[Impact]
Hardware support regression (USB failed to work)

[Development Fix]
Upstream fix is accepted and stable@ has been cc'd - will be picked up in precise in due-course.

[Stable Fix]
Upstream fix is a trivial backport to oneiric and precise. I'll attach backports for maverick/natty.

[Test Case]
Boot affected hardware w/ generic-pae flavor and see if USB works.

[Regression Potential]
I'm not aware of any specific risks for regression, other than the usual amount of risk associated with any change.

Upon upgrade to Maverick, now no devices seem to be detected through USB ports.
Flash Drive is undetected, and Mouse is undetected.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-2.6.35-22-generic-pae 2.6.35-22.33
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic-pae 2.6.35.4
Uname: Linux 2.6.35-22-generic-pae i686
NonfreeKernelModules: wl
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: SB [HDA ATI SB], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: lisa 1656 F.... pulseaudio
 /dev/snd/pcmC0D0p: lisa 1656 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xf7ffc000 irq 16'
   Mixer name : 'IDT 92HD73C1X5'
   Components : 'HDA:111d7675,10280255,00100202'
   Controls : 16
   Simple ctrls : 10
Card1.Amixer.info:
 Card hw:1 'HDMI'/'HDA ATI HDMI at 0xf7dec000 irq 19'
   Mixer name : 'ATI RS690/780 HDMI'
   Components : 'HDA:1002791a,00791a00,00100000'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Fri Sep 24 13:59:19 2010
HibernationDevice: RESUME=UUID=56724c3d-9a65-4437-ab1a-5e553fcce0e2
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Lsusb: Error: command ['lsusb'] failed with exit code 1:
MachineType: Dell Inc. Studio 1536
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic-pae root=UUID=5d8d978d-1d20-49a9-a24a-b3c7c1364f1b ro quiet splash
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.38
RfKill:
 0: dell-wifi: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
dmi.bios.date: 11/27/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A04
dmi.board.name: 0M273C
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA04:bd11/27/2008:svnDellInc.:pnStudio1536:pvr:rvnDellInc.:rn0M273C:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Studio 1536
dmi.sys.vendor: Dell Inc.

Lisa Salimbas (lilystang) wrote :
Lisa Salimbas (lilystang) wrote :
Lisa Salimbas (lilystang) wrote :
Lisa Salimbas (lilystang) wrote :
Lisa Salimbas (lilystang) wrote :
Lisa Salimbas (lilystang) wrote :

USB ports are discoverable when booted in Windows, and when booted Lucid from a USB.

Download full text (4.4 KiB)

Just pasting noticeable error messages from the Maverick kernel exhibiting this issue.

[ 3.730968] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 3.731020] alloc irq_desc for 17 on node -1
[ 3.731023] alloc kstat_irqs on node -1
[ 3.731031] ehci_hcd 0000:00:12.2: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[ 3.731053] ehci_hcd 0000:00:12.2: EHCI Host Controller
[ 3.731088] ehci_hcd 0000:00:12.2: new USB bus registered, assigned bus number 1
[ 3.731162] ehci_hcd 0000:00:12.2: applying AMD SB600/SB700 USB freeze workaround
[ 3.731179] ehci_hcd 0000:00:12.2: debug port 15 IN USE
[ 3.737945] ACPI: Battery Slot [BAT0] (battery present)
[ 3.756064] ehci_hcd 0000:00:12.2: irq 17, io mem 0xd4004000
[ 3.756077] ehci_hcd 0000:00:12.2: startup error -19
[ 3.756086] ehci_hcd 0000:00:12.2: USB bus 1 deregistered
[ 3.756188] ehci_hcd 0000:00:12.2: PCI INT B disabled
[ 3.756191] ehci_hcd 0000:00:12.2: init 0000:00:12.2 fail, -19
[ 3.756208] alloc irq_desc for 20 on node -1
[ 3.756210] alloc kstat_irqs on node -1
[ 3.756216] ehci_hcd 0000:00:13.2: PCI INT B -> GSI 20 (level, low) -> IRQ 20
[ 3.756227] ehci_hcd 0000:00:13.2: EHCI Host Controller
[ 3.756261] ehci_hcd 0000:00:13.2: new USB bus registered, assigned bus number 1
[ 3.756285] ehci_hcd 0000:00:13.2: applying AMD SB600/SB700 USB freeze workaround
[ 3.756302] ehci_hcd 0000:00:13.2: debug port 15 IN USE
[ 3.780058] ehci_hcd 0000:00:13.2: irq 20, io mem 0xd4004100
[ 3.780068] ehci_hcd 0000:00:13.2: startup error -19
[ 3.780074] ehci_hcd 0000:00:13.2: USB bus 1 deregistered
[ 3.780160] ehci_hcd 0000:00:13.2: PCI INT B disabled
[ 3.780163] ehci_hcd 0000:00:13.2: init 0000:00:13.2 fail, -19
[ 3.780183] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[ 3.780197] alloc irq_desc for 16 on node -1
[ 3.780199] alloc kstat_irqs on node -1
[ 3.780203] ohci_hcd 0000:00:12.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 3.780214] ohci_hcd 0000:00:12.0: OHCI Host Controller
[ 3.780246] ohci_hcd 0000:00:12.0: new USB bus registered, assigned bus number 1
[ 4.089965] isapnp: No Plug & Play device found
[ 11.776048] ohci_hcd 0000:00:12.0: USB HC takeover failed! (BIOS/SMM bug)
[ 11.776052] ohci_hcd 0000:00:12.0: can't setup
[ 11.776055] ohci_hcd 0000:00:12.0: USB bus 1 deregistered
[ 11.776085] ohci_hcd 0000:00:12.0: PCI INT A disabled
[ 11.776088] ohci_hcd 0000:00:12.0: init 0000:00:12.0 fail, -16
[ 11.776092] ohci_hcd: probe of 0000:00:12.0 failed with error -16
[ 11.776102] ohci_hcd 0000:00:12.1: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 11.776113] ohci_hcd 0000:00:12.1: OHCI Host Controller
[ 11.776144] ohci_hcd 0000:00:12.1: new USB bus registered, assigned bus number 1
[ 19.776047] ohci_hcd 0000:00:12.1: USB HC takeover failed! (BIOS/SMM bug)
[ 19.776051] ohci_hcd 0000:00:12.1: can't setup
[ 19.776053] ohci_hcd 0000:00:12.1: USB bus 1 deregistered
[ 19.776082] ohci_hcd 0000:00:12.1: PCI INT A disabled
[ 19.776085] ohci_hcd 0000:00:12.1: init 0000:00:12.1 fail, -16
[ 19.776089] ohci_hcd: probe of 0000:00:12.1 failed with error -16
[ 19.776099] al...

Read more...

So we actually have a Dell Studio 1536 in the certification lab. However, it's not exhibiting these issues with the latest 2.6.35-22.33 Maverick kernel. I've attached the corresponding dmidecode, lspci, and dmesg from this system in the lab for comparison. What's stumping me is that Lisa's Dell Studio 1536 and the Dell Studio 1536 in the lab have identical USB controllers based on a comparison of the lspci output from the two machines.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
summary: - Unable to detect USB ports
+ Dell Studio 1536 Unable to detect USB ports (Maverick)
tags: added: kernel-candidate
removed: kernel-uncat

I'm running 2.6.35-22.33 and still have the problem. I wonder what BIOS versions the working/non working lab machines have. Mine is A05 at the moment.

Looking at the cert-lab-dmidecode.txt from the lab machine, it appears to have the following BIOS version:

BIOS Information
 Vendor: Dell Inc.
 Version: X16

The other interesting messages I saw in Lisa's BootDmesg.txt was the following:

[ 1.260049] pci 0000:00:12.0: OHCI: BIOS handoff failed (BIOS bug?) ffffffff
[ 2.064049] pci 0000:00:12.1: OHCI: BIOS handoff failed (BIOS bug?) ffffffff
[ 2.064068] pci 0000:00:12.2: EHCI: unrecognized capability 80
[ 2.064071] pci 0000:00:12.2: EHCI: unrecognized capability 80

Lisa tested disabling "USB emulation" in the BIOS but this had not effect.

I had Lisa do a series of tests. We subsequently discovered a series of patches that have been submitted upstream but are a bit invasive (ie. they won't land in upstream 2.6.36, and will likely have to wait for 2.6.37).

http://marc.info/?l=linux-kernel&m=128476278029918&w=2
    Patch : https://patchwork.kernel.org/patch/189182/
    Patch : https://patchwork.kernel.org/patch/189232/
    Patch : https://patchwork.kernel.org/patch/189242/
    Patch : https://patchwork.kernel.org/patch/189252/

I've subsequently built a test kernel with the above patches applied. Lisa has confirmed this fixes the issue and the USB ports work with this test kernel. The test kernel can be found at the following:

http://people.canonical.com/~ogasawara/lp647043/i386/

I'll have to discuss with the Ubuntu Kernel SRU team if they will qualify for a Stable Release Update to Maverick.

Changed in linux (Ubuntu):
assignee: nobody → Leann Ogasawara (leannogasawara)
status: Triaged → In Progress

Also attaching Lisa's dmesg output from the working test kernel.

The same bug (my guess) preventing LIVE Ubuntu 10.10 from properly boot up on Dell T3500 workstation.

My guess based on fact that changing RAID options in BIOS options to ATA resolve the issue, and that error message is full of ahci info.

FYI, I tried the mainstream ppa 2.6.38-rc4 tonight and it seems those patches have not been applied there either.

A workaround for this for others who may have this problem and come to this page from other distro's or who aren't able to install the above listed kernels is to use the kernel boot parameter "pci=nocrs"

Sly (netrefuge) wrote :

Is there something that can be used on Ubuntu 11.04 (Natty) that can fix this? I'm experiencing the same problem.

Details for my problem can be found here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/761894

Brian Murray (brian-murray) wrote :

The workaround from comment #18 - use the kernel boot parameter "pci=nocrs" - should help you out.

Sly (netrefuge) wrote :

Thanks. Didn't know if it would work on 11.04, but it did.

Se7enSamurai (se7ensamurai) wrote :

SUCCESS!
Thanks to everyone who reported and worked on this bug. (hopefully a more permanent fix makes it into the next kernel version)

For future reference, the 'pci=nocrs' can be entered on the 'kernel' line in your boot loader. In my case i have GRUB2 (1.98?). Simply hit ESC key when grub loads, and add 'pci=nocrs' (without quotes) to the end of the 'linux' line. (Most documentation i found says kernel, mine said linux and then the kernel version etc...) then CTR-X to boot.

Ubuntu Community has extensive documentation: help.ubuntu.com/community

DELL Inspiron 1546 laptop

Bjorn Helgaas (bjorn-helgaas) wrote :

Using "pci=nocrs" is a manual workaround, but not sufficient to resolve this issue.

There is an upstream bug report for this issue on a Dell 1546: https://bugzilla.kernel.org/show_bug.cgi?id=31602

Leann reported in comment #8 that the Dell 1536 in the cert lab works. That machine appears to have 2GB of memory, and we move the USB devices just after that:

  BIOS-e820: 0000000000100000 - 000000007fe71800 (usable)
  Memory: 2041068k/2095556k available (5708k kernel code, 452k absent, 54036k reserved, 5382k data, 908k init)
  pci_root PNP0A03:00: host bridge window [mem 0x80000000-0xcfffffff]
  pci 0000:00:12.0: BAR 0: assigned [mem 0x80000000-0x80000fff]

The machines of other reporters (and the upstream report) appear to have 3GB or more of memory, so the host bridge window [mem 0x80000000-0xcfffffff] is not available, and we put the USB devices in a different place:

  BIOS-e820: 0000000000100000 - 00000000c7e60800 (usable)
  Memory: 3977176k/4980736k available (5085k kernel code, 83944k reserved, 2432k data, 704k init, 3148168k highmem)
  pci_root PNP0A03:00: host bridge window [mem 0xd4000000-0xfebfffff]
  pci 0000:00:12.0: BAR 0: assigned [mem 0xd4000000-0xd4000fff]

I suspect there's some other unreported device at 0xd4000000 that's causing the trouble.

Bjorn Helgaas (bjorn-helgaas) wrote :

I attached a patch for testing here: https://bugzilla.kernel.org/show_bug.cgi?id=31602#c19

Please attach any test results and dmesg logs in the kernel bugzilla.

Changed in linux:
importance: Unknown → High
status: Unknown → Confirmed
atimonin (atimonin) wrote :

I've also see this bug trying to attach my android phfone as a usb drive.
It all happened after upgrade to Ubuntu Natty (all was OK before)
My computer: HP Probook 4310s (3MB memory)

Syslog (partial) attached

Bjorn Helgaas (bjorn-helgaas) wrote :

atimonin, I doubt that you're seeing the same problem. If you had the same problem, no USB devices attached to the affected controller would work at all. A complete dmesg log would have the details we need to be sure.

Bjorn Helgaas (bjorn-helgaas) wrote :

Anyone else affected by this Dell 1536/1546 issue, please test the kernel patch at https://bugzilla.kernel.org/show_bug.cgi?id=31602#c21 and attach the results and dmesg log there.

I believe you will only see the issue if you have at least 3GB of memory in your machine.

Lisa Salimbas (lilystang) wrote :
Bjorn Helgaas (bjorn-helgaas) wrote :

Thanks, Lisa, for testing this. I think the reason it didn't work was because we made an error backporting it. I also noticed another problem with the patch, so I attached a newer version here: https://bugzilla.kernel.org/show_bug.cgi?id=31602#c22

Jerry Seutter (jseutter) wrote :

I have a Dell Inspiron 1546 with 3GB of memory that is exhibiting the same symptoms. Does the patch in #29 still need testing? If so, can someone provide a new link to the patch? I think bugzilla.kernel.org is still offline.

Se7enSamurai (se7ensamurai) wrote :

Haven't heard any updates on this for a while, and since bugzilla seems to be permanently down for whatever reason, haven't been able to test the patches above. Are there any alternative links for this?

thanks in advance

dann frazier (dannf) wrote :

Bjorn has a new patchset - I've verified them and the patches have now been accepted upstream:

commit eb31aae8cb5eb54e234ed2d857ddac868195d911
Author: Bjorn Helgaas <email address hidden>
Date: Thu Jan 5 14:27:24 2012 -0700

    PNP: work around Dell 1536/1546 BIOS MMCONFIG bug that breaks USB

commit 24d25dbfa63c376323096660bfa9ad45a08870ce
Author: Bjorn Helgaas <email address hidden>
Date: Thu Jan 5 14:27:19 2012 -0700

    x86/PCI: amd: factor out MMCONFIG discovery

dann frazier (dannf) on 2012-01-12
description: updated
dann frazier (dannf) wrote :
dann frazier (dannf) wrote :
dann frazier (dannf) wrote :
Changed in linux (Ubuntu Natty):
status: New → Confirmed
Changed in linux (Ubuntu Maverick):
status: New → Confirmed
Changed in linux (Ubuntu Oneiric):
status: New → Confirmed

The attachment "[1/2] backport for natty" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
tags: added: rls-p-tracking

Tanks Dann for pointers to the upstream patches in comment #32. I've cherry-picked the patches for Precise and have built an i386 generic-pae test kernel. Please test and let me know your results.

http://people.canonical.com/~ogasawara/lp647043/i386/

Once we get confirmation these resolve the issue for Precise, we can work on doing the SRU's for previous releases.

dann frazier (dannf) wrote :

Thanks Leann. I have verified that USB works with 3.2.0-9.17~lp647043v1 and does *not* work with 3.2.0-9.16.

Thanks for the testing Dann. I've gone ahead and pushed the patches to the Precise kernel git repo. They should be included in the next upload. I'm therefore marking the Precise linux task as Fix Committed.

Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2012-01-18
Changed in linux (Ubuntu Maverick):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Natty):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Oneiric):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-10.17

---------------
linux (3.2.0-10.17) precise; urgency=low

  [ Andy Whitcroft ]

  * Revert "SAUCE: overlayfs -- fs: limit filesystem stacking depth"
  * Revert "SAUCE: overlayfs -- overlay: overlay filesystem documentation"
  * Revert "SAUCE: overlayfs -- overlayfs: implement show_options"
  * Revert "SAUCE: overlayfs -- overlayfs: add statfs support"
  * Revert "SAUCE: overlayfs -- overlay filesystem"
  * Revert "SAUCE: overlayfs -- vfs: introduce clone_private_mount()"
  * Revert "SAUCE: overlayfs -- vfs: export do_splice_direct() to modules"
  * Revert "SAUCE: overlayfs -- vfs: add i_op->open()"
  * ensure debian/ is not excluded from git by default
  * add new scripting to handle buglinks in rebases
  * ubuntu: overlayfs -- overlayfs: add statfs support
  * ubuntu: overlayfs -- overlayfs: apply device cgroup and security
    permissions to overlay files
    - LP: #915941, #918212
    - CVE-2012-0055

  [ Erez Zadok ]

  * ubuntu: overlayfs -- overlayfs: implement show_options

  [ Leann Ogasawara ]

  * Revert "SAUCE: dmar: disable if ricoh multifunction detected"
  * [Config] Disable CONFIG_INTEL_IOMMU_DEFAULT_ON
    - LP: #907377, #911236
  * [Config] Enable CONFIG_IRQ_REMAP

  [ Miklos Szeredi ]

  * ubuntu: overlayfs -- vfs: pass struct path to __dentry_open()
  * ubuntu: overlayfs -- vfs: add i_op->open()
  * ubuntu: overlayfs -- vfs: export do_splice_direct() to modules
  * ubuntu: overlayfs -- vfs: introduce clone_private_mount()
  * ubuntu: overlayfs -- overlay filesystem
  * ubuntu: overlayfs -- fs: limit filesystem stacking depth

  [ Neil Brown ]

  * ubuntu: overlayfs -- overlay: overlay filesystem documentation

  [ Upstream Kernel Changes ]

  * (pre-stable) x86/PCI: amd: factor out MMCONFIG discovery
    - LP: #647043
  * (pre-stable) PNP: work around Dell 1536/1546 BIOS MMCONFIG bug that
    breaks USB
    - LP: #647043
 -- Leann Ogasawara <email address hidden> Mon, 16 Jan 2012 07:10:08 -0800

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Herton R. Krzesinski (herton) wrote :

This commit is an early application of a commit that will be coming in via upstream stable (Cc: <email address hidden> # 2.6.34+). As such it is not subject to the standard bug verification process.

tags: added: verification-done-maverick verification-done-natty verification-done-oneiric
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-32.65

---------------
linux (2.6.35-32.65) maverick-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #920677

  [ Upstream Kernel Changes ]

  * fuse: check size of FUSE_NOTIFY_INVAL_ENTRY message, CVE-2011-3353
    - LP: #905058
    - CVE-2011-3353
  * KVM: x86: Prevent starting PIT timers in the absence of irqchip support
    - LP: #911303
    - CVE-2011-4622
  * sched, x86: Avoid unnecessary overflow in sched_clock
    - LP: #805341
  * use cache type functions for arch_get_unmapped_area
    - LP: #861296
  * topdown mmap support
    - LP: #861296
  * xfs: validate acl count
    - LP: #917706
    - CVE-2012-0038
  * xfs: fix acl count validation in xfs_acl_from_disk()
    - LP: #917706
    - CVE-2012-0038
  * drm: integer overflow in drm_mode_dirtyfb_ioctl()
    - LP: #917838
    - CVE-2012-0044
  * x86/PCI: amd: factor out MMCONFIG discovery
    - LP: #647043
  * PNP: work around Dell 1536/1546 BIOS MMCONFIG bug that breaks USB
    - LP: #647043
 -- Brad Figg <email address hidden> Mon, 23 Jan 2012 13:40:13 -0800

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.55

---------------
linux (2.6.38-13.55) natty-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #920790

  [ Upstream Kernel Changes ]

  * fuse: check size of FUSE_NOTIFY_INVAL_ENTRY message, CVE-2011-3353
    - LP: #905058
    - CVE-2011-3353
  * KVM: x86: Prevent starting PIT timers in the absence of irqchip support
    - LP: #911303
    - CVE-2011-4622
  * sched, x86: Avoid unnecessary overflow in sched_clock
    - LP: #805341
  * use cache type functions for arch_get_unmapped_area
    - LP: #861296
  * topdown mmap support
    - LP: #861296
  * xfs: validate acl count
    - LP: #917706
    - CVE-2012-0038
  * xfs: fix acl count validation in xfs_acl_from_disk()
    - LP: #917706
    - CVE-2012-0038
  * drm: integer overflow in drm_mode_dirtyfb_ioctl()
    - LP: #917838
    - CVE-2012-0044
  * x86/PCI: amd: factor out MMCONFIG discovery
    - LP: #647043
  * PNP: work around Dell 1536/1546 BIOS MMCONFIG bug that
    - LP: #647043
 -- Brad Figg <email address hidden> Mon, 23 Jan 2012 18:31:33 -0800

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (14.0 KiB)

This bug was fixed in the package linux - 3.0.0-16.28

---------------
linux (3.0.0-16.28) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #922692

  [ Upstream Kernel Changes ]

  * Revert "drm/i915/dp: Fix the math in intel_dp_link_required"
    - LP: #919350

linux (3.0.0-16.27) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #920735

  [ Paolo Pisati ]

  * Revert "SAUCE: omap3: beagle: if rev unknown, assume xM revision C"
    - LP: #912199
  * Revert "SAUCE: omap3: beagle: detect new xM revision C"
    - LP: #912199
  * Revert "SAUCE: omap3: beagle: detect new xM revision B"
    - LP: #912199
  * Revert "SAUCE: omap3: beaglexm: fix DVI initialization"
    - LP: #912199
  * [Config] DEFAULT_MMAP_MIN_ADDR=32k on arm
    - LP: #903346

  [ Upstream Kernel Changes ]

  * Revert "rtc: Disable the alarm in the hardware"
    - LP: #913373
  * Support for Terratec G1
    - LP: #821061
  * drm/radeon/kms: fix DP detect and EDID fetch for DP bridges
    - LP: #825777
  * drm/radeon/kms/DCE4.1: fix Select_CrtcSource EncodeMode setting for DP
    bridges (v2)
    - LP: #825777
  * drm/radeon/kms: cleanup atombios_adjust_pll()
    - LP: #825777
  * drm/radeon/kms/atom: rework encoder dpms
    - LP: #825777
  * drm/radeon/kms: check for DP MST mode in a few more places (v2)
    - LP: #825777
  * drm/radeon/kms: rework DP bridge checks
    - LP: #825777
  * drm/radeon/kms: fix DP setup on TRAVIS bridges
    - LP: #825777
  * ALSA: sis7019 - give slow codecs more time to reset
    - LP: #907778
  * ALSA: hda/realtek - Fix Oops in alc_mux_select()
    - LP: #907778
  * alarmtimers: Fix time comparison
    - LP: #907778
  * ARM: davinci: da850 evm: change audio edma event queue to EVENTQ_0
    - LP: #907778
  * arm: mx23: recognise stmp378x as mx23
    - LP: #907778
  * ARM: at91: fix clock conid for atmel_tcb.1 on 9260/9g20
    - LP: #907778
  * ARM: davinci: dm646x evm: wrong register used in
    setup_vpif_input_channel_mode
    - LP: #907778
  * ASoC: Provide a more complete DMA driver stub
    - LP: #907778
  * fs/proc/meminfo.c: fix compilation error
    - LP: #907778
  * thp: add compound tail page _mapcount when mapped
    - LP: #907778
  * thp: set compound tail page _count to zero
    - LP: #907778
  * ptp: Fix clock_getres() implementation
    - LP: #907778
  * mm: Ensure that pfn_valid() is called once per pageblock when reserving
    pageblocks
    - LP: #907778
  * mm: vmalloc: check for page allocation failure before vmlist insertion
    - LP: #907778
  * fix apparmor dereferencing potentially freed dentry, sanitize
    __d_path() API
    - LP: #907778
  * target: Handle 0 correctly in transport_get_sectors_6()
    - LP: #907778
  * intel-iommu: fix return value of iommu_unmap() API
    - LP: #907778
  * intel-iommu: set iommu_superpage on VM domains to lowest common
    denominator
    - LP: #907778
  * intel-iommu: fix superpage support in pfn_to_dma_pte()
    - LP: #907778
  * percpu: fix chunk range calculation
    - LP: #907778
  * iwlwifi: do not re-configure HT40 after associated
    - LP: #907778
  * mac80211: fix race condition caused by late addBA respon...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Jerry Seutter (jseutter) wrote :

Just a confirmation that this works perfectly for me now on 12.04. I am running kernel 3.2.0-24

Changed in linux:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.